> ## Documentation Index
> Fetch the complete documentation index at: https://modem.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Merge companies

> Merge multiple companies into a single target company. All domains, person associations, and Slack workspaces are moved to the target.



## OpenAPI

````yaml /api-reference/openapi.json post /companies/merge
openapi: 3.1.1
info:
  description: >-
    The public Modem API. Authenticate with an organization API key:
    `Authorization: Bearer modem_…`.
  title: Modem API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.modem.dev/v1
security:
  - bearerAuth: []
paths:
  /companies/merge:
    post:
      tags:
        - Companies
      summary: Merge companies
      description: >-
        Merge multiple companies into a single target company. All domains,
        person associations, and Slack workspaces are moved to the target.
      operationId: companies.merge
      requestBody:
        content:
          application/json:
            schema:
              properties:
                sourceCompanyIds:
                  items:
                    pattern: ^\d+$
                    type: string
                  minItems: 1
                  type: array
                targetCompanyId:
                  pattern: ^\d+$
                  type: string
              required:
                - sourceCompanyIds
                - targetCompanyId
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  mergedCount:
                    type: integer
                required:
                  - mergedCount
                type: object
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Invalid request (validation failed).
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Missing or invalid API key.
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: The API key does not have access to this resource.
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: The requested resource was not found.
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Rate limit exceeded.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Internal server error.
components:
  schemas:
    Error:
      properties:
        code:
          description: Machine-readable error code, e.g. `NOT_FOUND`.
          examples:
            - NOT_FOUND
          type: string
        data:
          description: Optional structured error details.
        defined:
          description: True if the error was declared in the procedure contract.
          type: boolean
        message:
          description: Human-readable error message.
          type: string
        status:
          description: HTTP status code.
          examples:
            - 404
          type: integer
      required:
        - code
        - defined
        - message
        - status
      type: object
  securitySchemes:
    bearerAuth:
      description: Organization API key (`modem_…`).
      scheme: bearer
      type: http

````